/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.person.controller;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.commons.lang3.StringUtils;
import org.springblade.common.utils.UUIDUtils;
import org.springblade.core.api.crypto.annotation.crypto.ApiCrypto;
import org.springblade.person.service.ICommunityService;
import org.springblade.person.entity.Community;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.*;
import lombok.AllArgsConstructor;
import org.springblade.common.cache.CacheNames;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.Func;
import org.springblade.person.vo.CommunityVO;
import org.springblade.person.vo.SocialAreaVO;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static org.springblade.common.utils.EncodingUtil.getEncode;

/**
 * 控制器
 * 小区
 * @author zyh
 */
@RestController
@RequestMapping("web/api/v1/community")
@AllArgsConstructor
@Api(value = "小区", tags = "小区接口")
public class CommunityController extends BladeController implements CacheNames {

	private final ICommunityService communityService;

	

	/**
	 * 获取所有小区下拉框
	 */
	@PostMapping("/getAllCo")
	@ApiOperationSupport(order = 6)
	@ApiOperation(value = "小区下拉框")
	@ApiCrypto
	public R<List<Community>> getAllCo() {
		String s = JSON.toJSONString(R.data(communityService.getCommunity()));
		System.out.println(R.data(communityService.getCommunity()));
		System.out.println(s);
		String encode = getEncode(s);
		System.out.println(encode);
		return R.data(communityService.getCommunity());
	}

}
