/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.person.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import lombok.AllArgsConstructor;
import org.springblade.common.utils.UUIDUtils;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.person.entity.SocialArea;
import org.springblade.person.entity.Subdistrict;
import org.springblade.person.mapper.SocialAreaMapper;
import org.springblade.person.service.ICommunityService;
import org.springblade.person.entity.Community;
import org.springblade.person.mapper.CommunityMapper;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.person.vo.CommunityVO;
import org.springblade.person.vo.SocialAreaVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 服务实现类
 * 小区
 * @author zyh
 */
@Service
@AllArgsConstructor
@Transactional(rollbackFor = Exception.class)
public class CommunityServiceImpl extends BaseServiceImpl<CommunityMapper, Community> implements ICommunityService {

	private final CommunityMapper communityMapper;

	/**
	 * 获取所属账号下的所有小区
	 * @return
	 */
	@Override
	public List<Community> getCommunity() {
		return communityMapper.getCommunity();
	}

}
